Page MenuHomePhabricator

The iOS app should report its changetag even if the user hasn't opted in to EventLogging
Closed, InvalidPublic

Description

Since iOS v.5 was released (? I think), edits tagged as "mobile app edit" dropped massively; I'm assuming that this is because we started asking people to opt-in to EventLogging/etc. (good!) and that we applied it to non-tracking, though looking at the code it doesn't look obvious how that would be the case…

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2016, 11:00 PM
JMinor triaged this task as Medium priority.Jul 26 2016, 5:27 PM
JMinor added a subscriber: JMinor.

So, we had a pageviews issue with 5.0 where the user agent changed and the EventLogging tagging was missing iOS. We fixed that on both the EventLogging and client app sides pretty quickly, though and I believe also re-generated missed data. Not likely to be the exact same issue here, but potential area of investigations.

The intention in the opt out was not to opt out of normal editing related tracking (ie. IP adress for anons, activity by logged in editors, etc), so if that has been the effect we should fix.

As for a "organic" drop, it is possible, given that we no longer pop up a log in on first install, but I would seriously doubt that would change this so drastically. We also changed the editing icon slightly, but it is as proment as ever, and the editing flow itself was not changed at all in 5.0

For reference, here is @Mhurd's summary of the user agent issue in 5.0.0-5.0.2 (corrected in 5.0.3) that had caused the artificial iOS pageview drop in March: T131824#2185551

nshahquinn-wmf closed this task as Invalid.EditedJul 29 2016, 11:24 PM

The "mobile app edit" changetag is set based on the user agent, so there was in fact an issue in March, parallel to the pageview issue. However, as @JMinor said, it's been fixed for a while.

The actual issue we noticed appears to be with the Android app: T141667: Android app does not set the "mobile edit" change tag

nshahquinn-wmf raised the priority of this task from Medium to Needs Triage.Mar 30 2018, 10:28 AM
nshahquinn-wmf moved this task from Neil's in progress to Radar on the Contributors-Analysis board.